# Generated by Django 4.1.9 on 2023-07-11 19:05

from django.db import migrations


def load_account_types_data(apps, schema_editor):
    AccountType = apps.get_model("ims_accounting", "AccountType")
    AccountType.objects.get_or_create(name="asset")
    AccountType.objects.get_or_create(name="liability")
    AccountType.objects.get_or_create(name="income")
    AccountType.objects.get_or_create(name="expense")
    AccountType.objects.get_or_create(name="equity")


class Migration(migrations.Migration):
    dependencies = [
        ("ims_accounting", "0002_remove_paid_amount_field"),
    ]

    operations = [
        migrations.RunPython(
            load_account_types_data, reverse_code=migrations.RunPython.noop
        ),
    ]
